# coding=utf-8
from unittest import TestCase
from earthdiagnostics.constants import Basins, Basin
from earthdiagnostics.box import Box


class TestBasin(TestCase):

    def setUp(self):
        self.basin = Basin('Basin')

    def test_name(self):
        self.assertEquals('Basin', self.basin.name)

    def test__eq__(self):
        self.assertTrue(Basin('Basin') == self.basin)
        self.assertFalse(Basin('bas') == self.basin)

    def test__str__(self):
        self.assertEquals(str(self.basin), 'Basin')
